#pragma once

#include "CoreMinimal.h"
#include "TrackItem.h"
#include "TrackerTierItem.generated.h"

USTRUCT(BlueprintType)
struct FTrackerTierItem
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 TierId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 NeededPoints;

	UPROPERTY(EditAnywhere)
	FTrackItem TrackTier;

public:
	DEADBYDAYLIGHT_API FTrackerTierItem();
};

FORCEINLINE uint32 GetTypeHash(const FTrackerTierItem) { return 0; }
